/**
 * Copyright 2010 Västra Götalandsregionen
 *
 *   This library is free software; you can redistribute it and/or modify
 *   it under the terms of version 2.1 of the GNU Lesser General Public
 *   License as published by the Free Software Foundation.
 *
 *   This library is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU Lesser General Public License for more details.
 *
 *   You should have received a copy of the GNU Lesser General Public
 *   License along with this library; if not, write to the
 *   Free Software Foundation, Inc., 59 Temple Place, Suite 330,
 *   Boston, MA 02111-1307  USA
 */

package se.vgregion.portal.vap.domain.jpa;

import se.vgregion.dao.domain.patterns.entity.AbstractEntity;

import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;
import javax.persistence.Temporal;
import javax.persistence.TemporalType;

import java.io.Serializable;
import java.util.Date;

/**
 * JPA entity class representing a flag (a user can flag a document).
 *
 * @author Patrik Bergström
 */
@Entity
@Table(name = "vgr_vap_flag")
public class Flag extends AbstractEntity<FlagPk> implements Serializable {

    private static final long serialVersionUID = 1079947011450319238L;

    @Id
    private FlagPk id;
    
    @Temporal(TemporalType.TIMESTAMP)
    private Date createDate;
    
    /**
     * Constructor.
     */
    public Flag() {
    }

    /**
     * Constructor.
     * @param id the id
     */
    public Flag(FlagPk id) {
        this.id = id;
    }
    
    @Override
    public FlagPk getId() {
        return id;
    }

    public void setId(FlagPk id) {
        this.id = id;
    }

	public Date getCreateDate() {
		return createDate;
	}

	public void setCreateDate(Date createDate) {
		this.createDate = createDate;
	}
	
}
