/**
 * Copyright 2010 Västra Götalandsregionen
 *
 *   This library is free software; you can redistribute it and/or modify
 *   it under the terms of version 2.1 of the GNU Lesser General Public
 *   License as published by the Free Software Foundation.
 *
 *   This library is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU Lesser General Public License for more details.
 *
 *   You should have received a copy of the GNU Lesser General Public
 *   License along with this library; if not, write to the
 *   Free Software Foundation, Inc., 59 Temple Place, Suite 330,
 *   Boston, MA 02111-1307  USA
 */

package se.vgregion.portal.vap.domain.searchresult;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * Domain class containing an ordered list of key-value mappings.
 *
 * @author Patrik Bergström
 */
public class AutoSuggestResult {

    private List<Map<String, String>> result = new ArrayList<Map<String, String>>();

    /**
     * Add a key-value mapping last in the list.
     *
     * @param key   the key
     * @param value the value
     */
    public void addKeyValuePair(String key, String value) {
        Map<String, String> keyValuePair = new HashMap<String, String>();
        keyValuePair.put(key, value);
        result.add(keyValuePair);
    }

    public List<Map<String, String>> getResult() {
        return result;
    }
}
