/**
 * Copyright 2010 Västra Götalandsregionen
 *
 *   This library is free software; you can redistribute it and/or modify
 *   it under the terms of version 2.1 of the GNU Lesser General Public
 *   License as published by the Free Software Foundation.
 *
 *   This library is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU Lesser General Public License for more details.
 *
 *   You should have received a copy of the GNU Lesser General Public
 *   License along with this library; if not, write to the
 *   Free Software Foundation, Inc., 59 Temple Place, Suite 330,
 *   Boston, MA 02111-1307  USA
 */

package se.vgregion.portal.vap.domain.searchresult;

import java.util.ArrayList;
import java.util.List;

/**
 * Domain class used for parsing JSON.
 *
 * @author Patrik Bergström
 */
public class Entry {

    private List<SelectableItem> selectableItems = new ArrayList<SelectableItem>();
    private List<AppliedItem> appliedItems = new ArrayList<AppliedItem>();
    private String type;
    private String displayName;
    
    public List<SelectableItem> getSelectableItems() {
        return selectableItems;
    }

    public void setSelectableItems(List<SelectableItem> selectableItems) {
        this.selectableItems = selectableItems;
    }

    public List<AppliedItem> getAppliedItems() {
        return appliedItems;
    }

    public void setAppliedItems(List<AppliedItem> appliedItems) {
        this.appliedItems = appliedItems;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getDisplayName() {
        return displayName;
    }

    public void setDisplayName(String displayName) {
        this.displayName = displayName;
    }
}
